from admin_ordering.models import OrderableModel
from core.utils import PostableModel, SingletonModel

# Create your models here.

class LeftPost(PostableModel):
    reverse_href = "postl-reverse"

    class Meta(OrderableModel.Meta):
        verbose_name = "Post po lewej"
        verbose_name_plural = "Posty po lewej"


class MiddlePost(PostableModel):
    reverse_href = "postm-reverse"

    class Meta(OrderableModel.Meta):
        verbose_name = "Post (aktualności)"
        verbose_name_plural = "Aktualności"

class RightPost(PostableModel):
    reverse_href = "postr-reverse"

    class Meta(OrderableModel.Meta):
        verbose_name = "Post po prawej"
        verbose_name_plural = "Posty po prawej"


class Banner(PostableModel, SingletonModel):
    reverse_href = "banner-reverse"

    class Meta(OrderableModel.Meta):
        verbose_name = "Baner"
        verbose_name_plural = "Banery"
